Subject: [PATCH 5/5] iommu/arm-smmu: fix compilation issue when !CONFIG_ARM_AMBA

From: [email-masked] (Timur Tabi)
Date: Thu, 13 Feb 2014 11:11:55 -0600

On 02/13/2014 11:04 AM, Will Deacon wrote:

> It's harmless to enable CONFIG_ARM_AMBA, even if you don't have any AMBA
> devices in your SoC,

Ah, ok.  It's seems obvious now, but somehow that didn't click.

> it just makes your binary a bit bigger because you're
> compiling in code that you don't need. Instead, you might elect to set
> CONFIG_ARM_AMBA=n, at which point the arm-smmu driver will fail to build
> without this patch.

Ok, thanks.  We discovered the same problem internally, and had the same 
solution, but during code reviews some concerns were raised.